package com.s434666;

import static org.junit.jupiter.api.Assertions.*;
import org.junit.*;

public class PeselValidatorTest {

    PeselValidator peselValidator;

    @Before
    public void setUp(){
        peselValidator = new PeselValidator();
    }

    @Test
    public void validatePeselInvalidPeselReturnsFalse(){
        assertFalse(peselValidator.validatePesel(""));
        assertFalse(peselValidator.validatePesel("TO NIE JEST PESEL"));
        assertFalse(peselValidator.validatePesel("50121876785"));
        assertFalse(peselValidator.validatePesel("5012183435436781"));
        assertFalse(peselValidator.validatePesel("50034781"));
    }

    @Test
    public void validatePeselValidPeselStringReturnsTrue(){
        assertTrue(peselValidator.validatePesel("93020998613"));
        assertTrue(peselValidator.validatePesel("55112035952"));
        assertTrue(peselValidator.validatePesel("62092707537"));
        assertTrue(peselValidator.validatePesel("50121876781"));
    }
}